Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007106TestLinkExport/Importpublic2015-05-03 15:222015-09-19 08:49
ReporterMr.Bricodage 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.13 (2015 #1) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0007106: Import TestPlan has to follow same logic than GUI (OBSOLETE STATUS issue)
DescriptionA Obsolete testcase can't be added in TestLink GUI (that's OK) but can be added using an import (that's the issue).

When importing links between testplan and testcases, TestLink should check if the target testcase (ID + Version) can be added to a testplan.
Steps To Reproduce1 - Add a TestCase TC01 to a TestPlan TP01
2 - Export the TestPlan TP01 to XML (Test Plan Management -> Export links to TestCases and Platforms)
3 - Delete TC01 from TestPlan TP01
4 - Modify TC01 to set status as Obsolete - no version modification
5 - Go to add/remove TestCases into TP01 => TC01 can't be added
6 - Import XML file exported in step 2 (Test Plan Management -> Import links to TestCases and Platforms)
==> an Obsolete TestCase can be added to TestPlan.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon 2015-05-15_140316.jpg [^] (23,495 bytes) 2015-05-15 12:04

- Relationships
child of 0006830closedfman Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub 

-  Notes
(0023338)
fman (administrator)
2015-05-10 17:03

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/7b63a933ec0d7d7c36829cdf8b6fb01496b0ab94 [^]
(0023364)
Mr.Bricodage (updater)
2015-05-15 12:05

Thanks fman
(0023935)
fman (administrator)
2015-09-19 08:49

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2015-05-03 15:22 Mr.Bricodage New Issue
2015-05-03 17:06 fman QA Team - Task Workflow Status => TBD
2015-05-03 17:06 fman Summary Import TestPlan links and Execution order : no TestCase availability to TestPlan verification => Import TestPlan has to follow same logic than GUI (OBSOLETE STATUS issue)
2015-05-10 17:03 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-05-10 17:03 fman Note Added: 0023338
2015-05-10 17:03 fman Status new => resolved
2015-05-10 17:03 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-05-10 17:03 fman Resolution open => fixed
2015-05-10 17:03 fman Assigned To => fman
2015-05-10 17:03 fman Relationship added child of 0006830
2015-05-15 12:04 Mr.Bricodage File Added: 2015-05-15_140316.jpg
2015-05-15 12:05 Mr.Bricodage Note Added: 0023364
2015-09-19 08:49 fman Note Added: 0023935
2015-09-19 08:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker